int playerX = 0;
int playerY = 0;

void initPlaying() {
  playerX = width / 2;
  playerY = height / 2;
}
 
void drawPlaying() {  
  background(#000000);
 
  noStroke();
  fill(#0000FF);
  circle(playerX, playerY, 25);  
}
 
void move(int dx, int dy) { 
  playerX += dx;
  playerY += dy;
  
  if (playerX < 0 || playerX > width || playerY < 0 || playerY > height) {
    endGame();
  }
}
 
void keyPressedPlaying() {
  if (keyCode == UP || key == 'W') {
    move(0, -5);
  } else if (keyCode == DOWN || key == 'S') {
    move(0, 5);
  } else if (keyCode == LEFT || key == 'A') {
    move(-5, 0);
  } else if (keyCode == RIGHT || key == 'D') {
    move(5, 0);
  }
}
 
void endGame() {
  setState(GAME_OVER);
}
